package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZjyCljl;

/**
 * 设计信息-钻井液材料加量Service接口
 * 
 * @author
 * @date 2025-07-17
 */
public interface ISjZjyCljlService 
{
    /**
     * 查询设计信息-钻井液材料加量
     * 
     * @param id 设计信息-钻井液材料加量主键
     * @return 设计信息-钻井液材料加量
     */
    public SjZjyCljl selectSjZjyCljlById(Long id);

    /**
     * 查询设计信息-钻井液材料加量列表
     * 
     * @param sjZjyCljl 设计信息-钻井液材料加量
     * @return 设计信息-钻井液材料加量集合
     */
    public List<SjZjyCljl> selectSjZjyCljlList(SjZjyCljl sjZjyCljl);

    /**
     * 新增设计信息-钻井液材料加量
     * 
     * @param sjZjyCljl 设计信息-钻井液材料加量
     * @return 结果
     */
    public int insertSjZjyCljl(SjZjyCljl sjZjyCljl);

    /**
     * 修改设计信息-钻井液材料加量
     * 
     * @param sjZjyCljl 设计信息-钻井液材料加量
     * @return 结果
     */
    public int updateSjZjyCljl(SjZjyCljl sjZjyCljl);

    /**
     * 批量删除设计信息-钻井液材料加量
     * 
     * @param ids 需要删除的设计信息-钻井液材料加量主键集合
     * @return 结果
     */
    public int deleteSjZjyCljlByIds(Long[] ids);

    /**
     * 删除设计信息-钻井液材料加量信息
     * 
     * @param id 设计信息-钻井液材料加量主键
     * @return 结果
     */
    public int deleteSjZjyCljlById(Long id);
}
